stages:
  - build
  - test
  - deploy
  - dast

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      # Required
      - /helm.yml

      # build
      - /docker.auto.yml

      # test
      # - /proxy/license-scanning.yml
      # - /proxy/code-quality.yml
      # - /proxy/dependency-scanning.yml
      # - /proxy/container-scanning.yml
      # - /proxy/sast.yml
      # - /proxy/secret-scanning.yml

      # deploy
      # - /helm.reviews.auto.yml
      - /helm.development.auto.yml
      - /helm.production.auto.yml

variables:
  HELM_REPOSITORY: https://gitlab.com/api/v4/projects/34898001/packages/helm/stable
  HELM_CHART: nginx
  HELM_NAME: frontend
  HOST: ${BASE_DOMAIN}
  HELM_INGRESS_HOST: ${HOST}
